Bug 794983 - alsa-utils.spec dependency bug
Summary: alsa-utils.spec dependency bug
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-utils
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-18 14:24 UTC by Michael Schwendt
Modified: 2013-04-27 03:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-27 03:07:57 UTC
Type: ---


Attachments (Terms of Use)

Description Michael Schwendt 2012-02-18 14:24:05 UTC
alsa-utils.spec contains:

| Requires: alsa-lib >= %{baseversion}, systemd-units >= 39-2, dialog

Please add a comment to this line, giving the rationale why these explicit and strict dependencies are needed. Plus, the alsa-lib dependency ought to be arch-specific, adhering to:

https://fedoraproject.org/wiki/Packaging:Guidelines#Explicit_Requires
https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package

Comment 1 Fedora Update System 2013-04-12 09:04:06 UTC
alsa-plugins-1.0.27-1.fc19,alsa-tools-1.0.27-1.fc19,alsa-firmware-1.0.27-1.fc19,alsa-utils-1.0.27-1.fc19,alsa-lib-1.0.27-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/alsa-plugins-1.0.27-1.fc19,alsa-tools-1.0.27-1.fc19,alsa-firmware-1.0.27-1.fc19,alsa-utils-1.0.27-1.fc19,alsa-lib-1.0.27-2.fc19

Comment 2 Fedora Update System 2013-04-12 15:19:54 UTC
Package alsa-plugins-1.0.27-1.fc19, alsa-tools-1.0.27-1.fc19, alsa-firmware-1.0.27-1.fc19, alsa-utils-1.0.27-1.fc19, alsa-lib-1.0.27-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing alsa-plugins-1.0.27-1.fc19 alsa-tools-1.0.27-1.fc19 alsa-firmware-1.0.27-1.fc19 alsa-utils-1.0.27-1.fc19 alsa-lib-1.0.27-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5535/alsa-plugins-1.0.27-1.fc19,alsa-tools-1.0.27-1.fc19,alsa-firmware-1.0.27-1.fc19,alsa-utils-1.0.27-1.fc19,alsa-lib-1.0.27-2.fc19
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2013-04-15 16:16:20 UTC
Package alsa-utils-1.0.27-2.fc19, alsa-plugins-1.0.27-1.fc19, alsa-tools-1.0.27-1.fc19, alsa-firmware-1.0.27-1.fc19, alsa-lib-1.0.27-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing alsa-utils-1.0.27-2.fc19 alsa-plugins-1.0.27-1.fc19 alsa-tools-1.0.27-1.fc19 alsa-firmware-1.0.27-1.fc19 alsa-lib-1.0.27-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5535/alsa-plugins-1.0.27-1.fc19,alsa-tools-1.0.27-1.fc19,alsa-firmware-1.0.27-1.fc19,alsa-utils-1.0.27-2.fc19,alsa-lib-1.0.27-2.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-27 03:07:58 UTC
alsa-utils-1.0.27-2.fc19, alsa-plugins-1.0.27-1.fc19, alsa-tools-1.0.27-1.fc19, alsa-firmware-1.0.27-1.fc19, alsa-lib-1.0.27-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.